{
  "schema_version": "1.4.0",
  "id": "GHSA-g87h-p2c5-jfxw",
  "modified": "2022-05-17T02:13:04Z",
  "published": "2022-05-17T02:13:04Z",
  "aliases": [
    "CVE-2016-7134"
  ],
  "details": "ext/curl/interface.c in PHP 7.x before 7.0.10 does not work around a libcurl integer overflow, which allows remote attackers to cause a denial of service (allocation error and heap-based buffer overflow) or possibly have unspecified other impact via a long string that is mishandled in a curl_escape call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-7134"
    },
    {
      "type": "WEB",
      "url": "https://github.com/php/php-src/commit/72dbb7f416160f490c4e9987040989a10ad431c7?w=1"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=72674"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201611-22"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2016/09/02/9"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-7.php"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/92766"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1036680"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-09-12T01:59:00Z"
  }
}